import "core-js/modules/es6.regexp.match";
var u = navigator.userAgent;
/**
 * @desc 判断Android
 */

export function isAndroid() {
  return u.indexOf('Android') > -1 || u.indexOf('Linux') > -1;
}
/**
 * @desc 判断ios
 */

export function isIOS() {
  return !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/);
}
/**
 * @desc 判断是否在微信浏览器
 */

export function isWeChat() {
  return /MicroMessenger/i.test(u);
}